bdaddr = 'sedbdaddr'

#!/usr/bin/python

import sys
import time
import dbus

bus = dbus.SystemBus()

#manager = dbus.Interface(bus.get_object('org.bluez', '/org/bluez'), 'org.bluez.Manager')
manager = dbus.Interface(bus.get_object("org.bluez", "/"),
						"org.bluez.Manager")

adapter = dbus.Interface(bus.get_object("org.bluez", manager.DefaultAdapter()),
                                "org.bluez.Adapter")

#bus_name = manager.ActivateService('bdaddr')
path = adapter.FindDevice(bdaddr)

audio = dbus.Interface(bus.get_object("org.bluez", path),
						"org.bluez.Audio")
#audio = dbus.Interface(bus.get_object(bus_name, "/"), "org.bluez.audio.Manager")
#path = audio.CreateDevice(bdaddr)

sink = dbus.Interface(bus.get_object("org.bluez", path),
					"org.bluez.Sink")

#sink = dbus.Interface (bus.get_object(bus_name, path), 'org.bluez.audio.Sink')
sink.Connect()
